Debug (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.tools

## Class Debug

- java.lang.Object
- - hlt.language.tools.Debug

-     public class Debug
      extends java.lang.Object

  A (very) primitive debugging class.
  Version:
    Last modified on Sat Nov 10 20:15:13 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © by the author

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Debug()`
    `Debug(java.lang.Object o)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `flagIsOn()`
    `static java.lang.String` | `getQuitString()` Returns the quit string.
    `static boolean` | `isQuitString(java.lang.String s)` Returns `true` iff the specified string is the quit string.
    `static boolean` | `matchesQuitString(java.lang.String s)` Returns `true` iff the specified string is a non-empty prefix of the quit string.
    `static void` | `setDebugFlag(boolean flag)`
    `static void` | `setQuitString(java.lang.String s)` Resets the quit string.
    `static java.lang.String` | `step()`
    `static java.lang.String` | `step(java.lang.Object info)` Prompts the user using the specified info and returns the string entered by the user.
    `static void` | `stepIfFlag(java.lang.Object info)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Debug

          public Debug()

    - #### Debug

          public Debug(java.lang.Object o)

  - ### Method Detail

    - #### setDebugFlag

          public static final void setDebugFlag(boolean flag)

    - #### flagIsOn

          public static final boolean flagIsOn()

    - #### setQuitString

          public static final void setQuitString(java.lang.String s)

      Resets the quit string.

    - #### getQuitString

          public static final java.lang.String getQuitString()

      Returns the quit string.

    - #### matchesQuitString

          public static final boolean matchesQuitString(java.lang.String s)

      Returns `true` iff the specified string is a non-empty prefix of the quit string.

    - #### isQuitString

          public static final boolean isQuitString(java.lang.String s)

      Returns `true` iff the specified string is the quit string.

    - #### stepIfFlag

          public static final void stepIfFlag(java.lang.Object info)

    - #### step

          public static final java.lang.String step(java.lang.Object info)

      Prompts the user using the specified info and returns the string entered by the user.

    - #### step

          public static final java.lang.String step()